gratifiant > linux.debian.user.french

Aux Saveurs Gourmandes (22/06/2004, 11h50)
Bonjour je tente d'installer alsa afin d'avoir ma carte son en full
duplex et ainssi pouvoir utiliser gnomemeeting
J'ai suivit un petit tuto en bref apt-get install alsa-base alsa-source
decompression de alsa source et configuration des source avec /debian
rules j'ai choisit ma carte son i810 pour une carte son sis integrée)
mais a ce moment j'ai droit a ceci:
checking for directory with kernel source... /usr/src/linux
checking for kernel version... The file
/usr/src/linux/include/linux/version.h does not exist.
mes sources sont bien presentes et tout juste telechargées de

mais ce fichier (version.h) n'existe pas il est vrai.
Que faire ?
Je suis en kernel 2.4.24-1-686 sur une debian sarge et je ne compte pas
passer en 2.6 pour d'autres raisons .
Guy
JusTiCe8 (22/06/2004, 12h10)
Bonjour,

Aux Saveurs Gourmandes wrote:

[..]
> Que faire ?
> Je suis en kernel 2.4.24-1-686 sur une debian sarge et je ne compte
> pas passer en 2.6 pour d'autres raisons .


Euh... installer les sources du noyau que tu utilise grâce au paquet
debian ki va bien.

> Guy A+,


J8.
Hendrickx Guy (22/06/2004, 13h20)
> Euh... installer les sources du noyau que tu utilise grâce au paquet
> debian ki va bien.

j'ai deja tenté la manip mais cela ne passe pas non plus (pas ce
fichier version.h ) c'est pouquoi j'ai recuperé les sources sur kernel.org
Guy
cit (22/06/2004, 13h50)
j installerais plutot un paquet kernel-headers et des trucs qui vont avec (kernel-kbuild...) si tu utilises un noyau precompile

je crois que certains fichiers comme ton version.h sont genereqs a la compile du noyau
c est pour ca que tu l as pas, et c est pour ca qu il ya des paquets kernel-headers pour les avoir

cit

On Tue, 22 Jun 2004 12:57:25 +0200
Hendrickx Guy <guy88> wrote:
[..]
Frédéric Bothamy (22/06/2004, 13h50)
* Hendrickx Guy <guy88> [2004-06-22 12:57] :
> >Euh... installer les sources du noyau que tu utilise grâce au paquet
> >debian ki va bien.

> j'ai deja tenté la manip mais cela ne passe pas non plus (pas ce
> fichier version.h ) c'est pouquoi j'ai recuperé les sources sur kernel.org


Je ne pense pas que cela fonctionnera : ce fichier est généré lors de la
configuration du noyau... Par contre, il est bien présent dans les
en-têtes (paquets kernel-headers-*).

Fred
Philippe Monroux (22/06/2004, 15h00)
Bonjour,

Le Tue 22 Jun 2004, à 11 h 29 min 40 sAM (UTC +0200),
vous (Aux Saveurs Gourmandes <guy88>)
avez écrit :

> /usr/src/linux/include/linux/version.h does not exist.


Ne faut-il pas faire un lien de /usr/src/linux/include/ vers
/usr/include/ ? Et à ce moment on a le fichier
/usr/include/linux/version.h.

Non ?
Arnaud JOLIVET (22/06/2004, 15h30)
Bonjour à tous,

J'ai un serveur qui me pose quelques problèmes... J'ai installé Qpopper (la
dernière version) et les quotas version 2 qui sont compilé avec mon kernel
2.4.20-8.
Logiquement lorsqu'un utilisateur est hors quota, celui-ci doit quand même
pouvoir récupérer ces messages.

telnet 0 110
Trying 127.0.0.1...
Connected to 0.
Escape character is '^]'.
+OK ready
user user1
+OK Password required for user1.
pass pass1
-ERR [SYS/TEMP] Unable to copy mail spool file, quota exceeded (122)
+OK Pop server at serveur.com signing off.
Connection closed by foreign host.

En faite le quota bloque parce que Qpopper veux créer un .pop avec les mêmes
droits que l'utilisateur lors de la récetion.

Avez-vous une idée? Merci.

Arnaud J
======================
Frédéric Bothamy (22/06/2004, 16h30)
* Aux Saveurs Gourmandes <guy88> [2004-06-22 16:11] :
> Frédéric Bothamy wrote:
> helas:
> ultimate:~# uname -r
> 2.4.24-1-686
> ultimate:~# apt-cache search headers 2.4.24
> kernel-source-2.4.24 - Linux kernel source for version 2.4.24 with
> Debian patches
> ultimate:~#
> donc pas de headers dispo .


D'où vient ton paquet kernel-image-2.4.24-1-686 ("apt-cache policy
kernel-headers-2.4.24-1-686") ? Sur une woody (avec les
proposed-updates), j'ai bien le paquet kernel-headers-2.4.24-2-686 de
disponible.

Fred
Aux Saveurs Gourmandes (22/06/2004, 18h10)
Frédéric Bothamy wrote:

>* Aux Saveurs Gourmandes <guy88> [2004-06-22 16:11] :
>D'où vient ton paquet kernel-image-2.4.24-1-686 ("apt-cache policy
>kernel-headers-2.4.24-1-686") ? Sur une woody (avec les
>proposed-updates), j'ai bien le paquet kernel-headers-2.4.24-2-686 de
>disponible.
>Fred

ultimate:~# apt-cache policy kernel-headers-2.4.24-1-686
W: Impossible de trouver le paquet kernel-headers-2.4.24-1-686
ultimate:~# apt-cache policy kernel-image-2.4.24-1-686
kernel-image-2.4.24-1-686:
Installés : 2.4.24-3
Candidat : 2.4.24-3
Table de version :
*** 2.4.24-3 0
100 /var/lib/dpkg/status
ultimate:~# apt-cache search kernel-image-2.4.24-3
ultimate:~# uname -r
2.4.24-1-686
ultimate:~#
Guy
Discussions similaires